Follow

L2TP/IPsec for Android ICS 4.X.X users

After some users reporting their inability to connect to Endian UTM Appliance via IPsec/L2TP using their Android devices, our investigations led to the discovery of the following bug in Android ICS 4.X.X. Basically, Android sends malformed packets to the IPsec tunnel, preventing the connection to the Endian UTM Appliance. At the moment, there is a patch for users of Openswan (source code diff here).

This bug does not affect older versions of Android. We will keep you informed about the resolution of this bug.

Thanks to all users that reported this problem allowing us to investigate!

Was this article helpful?
3 out of 3 found this helpful
Have more questions? Submit a request

Comments

  • Avatar
    Endian QA Team

    The vpn problem doesn't seem to affect the latest version of Ice Cream Sandwich and Jelly Bean.

    It is reported to work for sure with Android 4.1.1

  • Avatar
    Luis Coria

    Android 4.2.2 not working...

  • Avatar
    Endian QA Team

    Alberto maybe this is because of a different issue, maybe configuration issue, please contact our support team.